Subject: Re: [PATCH v7 0/2] diff-files: integrate with sparse index

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Mar 2023 16:36:26 -0700

Shuqi Liang <[email-masked]> writes:

> 3. Use `--stat` to ignore file creation time differences in unrefreshed
> index.

I am curious about this one.  Why is this a preferred solution over
say "run 'update-index --refresh' before running diff-files"?

Note that this is merely "I am curious", not "I think it is wrong".

Thanks.